/* Generated by G-Wrap: an experimental C->Guile wrapper engine */

#define _GNU_SOURCE
#include <guile/gh.h>
#include <libguile.h>
#include <string.h>
#include <g-wrap-compatibility.h>

#include "gw-gnc-module.h"
#include <g-wrap-wct.h>
#include <limits.h>
#include <g-wrap-wct.h>
#include "gnc-module.h"
static SCM gw__tmp6_wct_info_for__gw_void__ = SCM_BOOL_F;
static SCM gw__tmp0_range_minval_gw_int_;
static SCM gw__tmp1_range_maxval_gw_int_;
static SCM gw__tmp15_wct_info_for__gnc_module_ = SCM_BOOL_F;
enum GW__ErrorStatus
{
  GW__ERR_NONE,
  GW__ERR_MISC,
  GW__ERR_MEMORY,
  GW__ERR_RANGE,
  GW__ERR_TYPE,
  GW__ERR_ARGC,
  GW__ERR_ARG_RANGE,
  GW__ERR_ARG_TYPE
};
 
static void
gw__handle_wrapper_error(enum GW__ErrorStatus status,
                         const char *func_name,
                         unsigned int arg_pos,
                         const char *misc_msg,
                         SCM scm_data) __attribute__ ((noreturn));

static void
gw__handle_wrapper_error(enum GW__ErrorStatus status,
                         const char *func_name,
                         unsigned int arg_pos,
                         const char *misc_msg,
                         SCM scm_data)
{
  static SCM out_of_range_key = SCM_BOOL_F;
  static SCM wrong_type_key = SCM_BOOL_F;

  if(SCM_FALSEP(out_of_range_key))
    out_of_range_key = scm_permanent_object(scm_c_make_keyword("out-of-range"));
  if(SCM_FALSEP(wrong_type_key))
    wrong_type_key = scm_permanent_object(scm_c_make_keyword("wrong-type"));

  switch(status) {
  case GW__ERR_NONE:
    scm_misc_error(func_name,
                   "asked to handle error when there wasn't one",
                   SCM_EOL);
    break;
  case GW__ERR_MISC:
    /* scm_data is a list of format args for misc_msg */
    scm_misc_error(func_name, misc_msg, scm_data); break;
  case GW__ERR_MEMORY:
    scm_memory_error(func_name); break;
  case GW__ERR_RANGE:
    scm_error (out_of_range_key,
	       func_name,
	       "Out of range: ~S",
               scm_cons (scm_data, SCM_EOL),
	       SCM_BOOL_F);
    break;
  case GW__ERR_TYPE:
    scm_error(wrong_type_key,
              func_name,
              "Wrong type: ",
              scm_cons (scm_data, SCM_EOL),
              SCM_BOOL_F);
    break;
  case GW__ERR_ARGC:
    scm_wrong_num_args(scm_makfrom0str(func_name)); break;
  case GW__ERR_ARG_RANGE:
    /* scm_data is the bad arg */
    scm_out_of_range(func_name, scm_data); break;
  case GW__ERR_ARG_TYPE:
    /* scm_data is the bad arg */
    scm_wrong_type_arg(func_name, arg_pos, scm_data); break;
  default:
    scm_misc_error(func_name,
                   "asked to handle nonexistent gw:error type: ~S",
                   scm_cons(scm_long2num(status), SCM_EOL));    
    break;
  };
  exit(1);
}
static char * gw__tmp17_gnc_module_system_refresh_namestr = "gnc:module-system-refresh";
static SCM gw__tmp16_gnc_module_system_refresh_wrapper  () {
  SCM gw__scm_result = SCM_UNSPECIFIED;
  enum GW__ErrorStatus gw__error_status = GW__ERR_NONE;
  SCM gw__error_data = SCM_UNSPECIFIED;
  unsigned int gw__arg_pos = 0;
  const char *gw__error_misc_msg = NULL;

if (gw__error_status == GW__ERR_NONE)
{
  /* no pre-call result code requested! */
if (gw__error_status != GW__ERR_NONE) goto gw__wrapper_exit;
SCM_DEFER_INTS;
gnc_module_system_refresh ();
SCM_ALLOW_INTS;
{
gw__scm_result = SCM_UNSPECIFIED;
}
}
 gw__wrapper_exit:
  if(gw__error_status != GW__ERR_NONE)
    gw__handle_wrapper_error(gw__error_status,
                             gw__tmp17_gnc_module_system_refresh_namestr,
                             gw__arg_pos,
                             gw__error_misc_msg,
                             gw__error_data);
  return gw__scm_result;
}
static char * gw__tmp19_gnc_module_load_namestr = "gnc:module-load";
static SCM gw__tmp18_gnc_module_load_wrapper  (SCM gw__scm_arg0, SCM gw__scm_arg1 ) {
  SCM gw__scm_result = SCM_UNSPECIFIED;
  enum GW__ErrorStatus gw__error_status = GW__ERR_NONE;
  SCM gw__error_data = SCM_UNSPECIFIED;
  unsigned int gw__arg_pos = 0;
  const char *gw__error_misc_msg = NULL;
GNCModule gw__c_result;

char * gw__c_arg0;
int gw__c_arg1;
/* ARG 0 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__wrapper_exit;

{
gw__c_arg0 = NULL;

if(SCM_FALSEP(gw__scm_arg0))
  gw__c_arg0 = NULL;
else if(SCM_STRINGP(gw__scm_arg0))
  gw__c_arg0 = gh_scm2newstr(gw__scm_arg0, NULL);
else
{
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
/* ARG 1 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_0;

{
if(SCM_FALSEP(scm_integer_p(gw__scm_arg1))){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if(SCM_FALSEP(scm_geq_p(gw__scm_arg1, gw__tmp0_range_minval_gw_int_))        || SCM_FALSEP(scm_leq_p(gw__scm_arg1, gw__tmp1_range_maxval_gw_int_))){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else {gw__c_arg1= gh_scm2long(gw__scm_arg1);
}

if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
if (gw__error_status == GW__ERR_NONE)
{
  /* no pre-call result code requested! */
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_1;
SCM_DEFER_INTS;
gw__c_result = gnc_module_load (gw__c_arg0, gw__c_arg1);
SCM_ALLOW_INTS;
{
if(gw__c_result == NULL) gw__scm_result = SCM_BOOL_F;
else gw__scm_result = gw_wcp_assimilate_ptr((void *) gw__c_result, gw__tmp15_wct_info_for__gnc_module_);
}
}
  gw__post_call_arg_1:
  /* no post-call arg code requested! */
  { /* shut up warnings if no code */ int x = x; }
}
  gw__post_call_arg_0:
{
if(gw__c_arg0) free((void *) gw__c_arg0);
}
  { /* shut up warnings if no code */ int x = x; }
}
 gw__wrapper_exit:
  if(gw__error_status != GW__ERR_NONE)
    gw__handle_wrapper_error(gw__error_status,
                             gw__tmp19_gnc_module_load_namestr,
                             gw__arg_pos,
                             gw__error_misc_msg,
                             gw__error_data);
  return gw__scm_result;
}
static char * gw__tmp21_gnc_module_load_optional_namestr = "gnc:module-load-optional";
static SCM gw__tmp20_gnc_module_load_optional_wrapper  (SCM gw__scm_arg0, SCM gw__scm_arg1 ) {
  SCM gw__scm_result = SCM_UNSPECIFIED;
  enum GW__ErrorStatus gw__error_status = GW__ERR_NONE;
  SCM gw__error_data = SCM_UNSPECIFIED;
  unsigned int gw__arg_pos = 0;
  const char *gw__error_misc_msg = NULL;
GNCModule gw__c_result;

char * gw__c_arg0;
int gw__c_arg1;
/* ARG 0 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__wrapper_exit;

{
gw__c_arg0 = NULL;

if(SCM_FALSEP(gw__scm_arg0))
  gw__c_arg0 = NULL;
else if(SCM_STRINGP(gw__scm_arg0))
  gw__c_arg0 = gh_scm2newstr(gw__scm_arg0, NULL);
else
{
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
/* ARG 1 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_0;

{
if(SCM_FALSEP(scm_integer_p(gw__scm_arg1))){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if(SCM_FALSEP(scm_geq_p(gw__scm_arg1, gw__tmp0_range_minval_gw_int_))        || SCM_FALSEP(scm_leq_p(gw__scm_arg1, gw__tmp1_range_maxval_gw_int_))){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else {gw__c_arg1= gh_scm2long(gw__scm_arg1);
}

if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
if (gw__error_status == GW__ERR_NONE)
{
  /* no pre-call result code requested! */
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_1;
SCM_DEFER_INTS;
gw__c_result = gnc_module_load_optional (gw__c_arg0, gw__c_arg1);
SCM_ALLOW_INTS;
{
if(gw__c_result == NULL) gw__scm_result = SCM_BOOL_F;
else gw__scm_result = gw_wcp_assimilate_ptr((void *) gw__c_result, gw__tmp15_wct_info_for__gnc_module_);
}
}
  gw__post_call_arg_1:
  /* no post-call arg code requested! */
  { /* shut up warnings if no code */ int x = x; }
}
  gw__post_call_arg_0:
{
if(gw__c_arg0) free((void *) gw__c_arg0);
}
  { /* shut up warnings if no code */ int x = x; }
}
 gw__wrapper_exit:
  if(gw__error_status != GW__ERR_NONE)
    gw__handle_wrapper_error(gw__error_status,
                             gw__tmp21_gnc_module_load_optional_namestr,
                             gw__arg_pos,
                             gw__error_misc_msg,
                             gw__error_data);
  return gw__scm_result;
}
static char * gw__tmp23_gnc_module_unload_namestr = "gnc:module-unload";
static SCM gw__tmp22_gnc_module_unload_wrapper  (SCM gw__scm_arg0 ) {
  SCM gw__scm_result = SCM_UNSPECIFIED;
  enum GW__ErrorStatus gw__error_status = GW__ERR_NONE;
  SCM gw__error_data = SCM_UNSPECIFIED;
  unsigned int gw__arg_pos = 0;
  const char *gw__error_misc_msg = NULL;
int gw__c_result;

GNCModule gw__c_arg0;
/* ARG 0 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__wrapper_exit;

{
if(!(SCM_FALSEP(gw__scm_arg0) || gw_wcp_is_of_type_p(gw__tmp15_wct_info_for__gnc_module_, gw__scm_arg0))){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
else {if(SCM_FALSEP(gw__scm_arg0)) gw__c_arg0 = NULL;
else gw__c_arg0 = gw_wcp_get_ptr(gw__scm_arg0);
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
if (gw__error_status == GW__ERR_NONE)
{
  /* no pre-call result code requested! */
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_0;
SCM_DEFER_INTS;
gw__c_result = gnc_module_unload (gw__c_arg0);
SCM_ALLOW_INTS;
{
gw__scm_result= (gw__c_result) ? SCM_BOOL_T : SCM_BOOL_F;
}
}
  gw__post_call_arg_0:
  /* no post-call arg code requested! */
  { /* shut up warnings if no code */ int x = x; }
}
 gw__wrapper_exit:
  if(gw__error_status != GW__ERR_NONE)
    gw__handle_wrapper_error(gw__error_status,
                             gw__tmp23_gnc_module_unload_namestr,
                             gw__arg_pos,
                             gw__error_misc_msg,
                             gw__error_data);
  return gw__scm_result;
}
static char * gw__tmp25_gnc_module_lookup_namestr = "gnc:module-lookup";
static SCM gw__tmp24_gnc_module_lookup_wrapper  (SCM gw__scm_arg0, SCM gw__scm_arg1 ) {
  SCM gw__scm_result = SCM_UNSPECIFIED;
  enum GW__ErrorStatus gw__error_status = GW__ERR_NONE;
  SCM gw__error_data = SCM_UNSPECIFIED;
  unsigned int gw__arg_pos = 0;
  const char *gw__error_misc_msg = NULL;
void * gw__c_result;

GNCModule gw__c_arg0;
char * gw__c_arg1;
/* ARG 0 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__wrapper_exit;

{
if(!(SCM_FALSEP(gw__scm_arg0) || gw_wcp_is_of_type_p(gw__tmp15_wct_info_for__gnc_module_, gw__scm_arg0))){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
else {if(SCM_FALSEP(gw__scm_arg0)) gw__c_arg0 = NULL;
else gw__c_arg0 = gw_wcp_get_ptr(gw__scm_arg0);
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg0;
   goto gw__post_call_arg_0;
}
/* ARG 1 */
gw__arg_pos++;
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_0;

{
gw__c_arg1 = NULL;

if(SCM_FALSEP(gw__scm_arg1))
  gw__c_arg1 = NULL;
else if(SCM_STRINGP(gw__scm_arg1))
  gw__c_arg1 = gh_scm2newstr(gw__scm_arg1, NULL);
else
{
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
if((gw__error_status == GW__ERR_TYPE)){
   gw__error_status = GW__ERR_ARG_TYPE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
else if((gw__error_status == GW__ERR_RANGE)){
   gw__error_status = GW__ERR_ARG_RANGE;
    gw__error_data = gw__scm_arg1;
   goto gw__post_call_arg_1;
}
if (gw__error_status == GW__ERR_NONE)
{
  /* no pre-call result code requested! */
if (gw__error_status != GW__ERR_NONE) goto gw__post_call_arg_1;
SCM_DEFER_INTS;
gw__c_result = gnc_module_lookup (gw__c_arg0, gw__c_arg1);
SCM_ALLOW_INTS;
{
if(gw__c_result == NULL) gw__scm_result = SCM_BOOL_F;
else gw__scm_result = gw_wcp_assimilate_ptr((void *) gw__c_result, gw__tmp6_wct_info_for__gw_void__);
}
}
  gw__post_call_arg_1:
{
if(gw__c_arg1) free((void *) gw__c_arg1);
}
  { /* shut up warnings if no code */ int x = x; }
}
  gw__post_call_arg_0:
  /* no post-call arg code requested! */
  { /* shut up warnings if no code */ int x = x; }
}
 gw__wrapper_exit:
  if(gw__error_status != GW__ERR_NONE)
    gw__handle_wrapper_error(gw__error_status,
                             gw__tmp25_gnc_module_lookup_namestr,
                             gw__arg_pos,
                             gw__error_misc_msg,
                             gw__error_data);
  return gw__scm_result;
}
void
gw_init_wrapset_gw_gnc_module() {
  static int gw_wrapset_initialized = 0;

  if(!gw_wrapset_initialized)
  {
    gh_eval_str("(use-modules (g-wrap runtime))");
    gh_eval_str("(gw:wrapset-register-runtime \"gw-gnc-module\")");

gh_eval_str("(use-modules (g-wrap gw-wct))");
gh_eval_str("(use-modules (g-wrap gw-standard))");
{
   enum GW__ErrorStatus gw__tmp26_status_var = GW__ERR_NONE;
   SCM gw__tmp28_err_data = SCM_UNSPECIFIED;
   char *gw__tmp27_err_misc_msg = NULL;
   (void) gw__tmp26_status_var;
   (void) gw__tmp28_err_data;
   (void) gw__tmp27_err_misc_msg;
}
{
   enum GW__ErrorStatus gw__tmp29_err_status = GW__ERR_NONE;
   SCM gw__tmp31_err_data = SCM_UNSPECIFIED;
   char *gw__tmp30_err_misc_msg = NULL;
   (void) gw__tmp29_err_status;
   (void) gw__tmp31_err_data;
   (void) gw__tmp30_err_misc_msg;
    gw__tmp6_wct_info_for__gw_void__ = gh_eval_str("<gw:void*>");
if (gw__tmp29_err_status != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp29_err_status,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp30_err_misc_msg,
                            gw__tmp31_err_data);
gw__tmp0_range_minval_gw_int_ = scm_long2num(INT_MIN);
scm_protect_object(gw__tmp0_range_minval_gw_int_);
gw__tmp1_range_maxval_gw_int_ = scm_long2num(INT_MAX);
scm_protect_object(gw__tmp1_range_maxval_gw_int_);
if (gw__tmp29_err_status != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp29_err_status,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp30_err_misc_msg,
                            gw__tmp31_err_data);
if (gw__tmp29_err_status != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp29_err_status,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp30_err_misc_msg,
                            gw__tmp31_err_data);
    gw__tmp15_wct_info_for__gnc_module_ = gw_wct_create("<gnc:module>", NULL, NULL, NULL, NULL);
  gh_define("<gnc:module>", gw__tmp15_wct_info_for__gnc_module_);
if (gw__tmp29_err_status != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp29_err_status,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp30_err_misc_msg,
                            gw__tmp31_err_data);
}
{
   enum GW__ErrorStatus gw__tmp32_status_var = GW__ERR_NONE;
   SCM gw__tmp34_err_data = SCM_UNSPECIFIED;
   char *gw__tmp33_err_misc_msg = NULL;
   (void) gw__tmp32_status_var;
   (void) gw__tmp34_err_data;
   (void) gw__tmp33_err_misc_msg;
    gh_new_procedure(gw__tmp17_gnc_module_system_refresh_namestr,
                     (SCM (*) ()) gw__tmp16_gnc_module_system_refresh_wrapper,
                     0,
                     0,
                     0);

if (gw__tmp32_status_var != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp32_status_var,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp33_err_misc_msg,
                            gw__tmp34_err_data);
    gh_new_procedure(gw__tmp19_gnc_module_load_namestr,
                     (SCM (*) ()) gw__tmp18_gnc_module_load_wrapper,
                     2,
                     0,
                     0);

if (gw__tmp32_status_var != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp32_status_var,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp33_err_misc_msg,
                            gw__tmp34_err_data);
    gh_new_procedure(gw__tmp21_gnc_module_load_optional_namestr,
                     (SCM (*) ()) gw__tmp20_gnc_module_load_optional_wrapper,
                     2,
                     0,
                     0);

if (gw__tmp32_status_var != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp32_status_var,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp33_err_misc_msg,
                            gw__tmp34_err_data);
    gh_new_procedure(gw__tmp23_gnc_module_unload_namestr,
                     (SCM (*) ()) gw__tmp22_gnc_module_unload_wrapper,
                     1,
                     0,
                     0);

if (gw__tmp32_status_var != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp32_status_var,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp33_err_misc_msg,
                            gw__tmp34_err_data);
    gh_new_procedure(gw__tmp25_gnc_module_lookup_namestr,
                     (SCM (*) ()) gw__tmp24_gnc_module_lookup_wrapper,
                     2,
                     0,
                     0);

if (gw__tmp32_status_var != GW__ERR_NONE)  gw__handle_wrapper_error (gw__tmp32_status_var,
                            "gw_init_wrapset_gw_gnc_module",
                            0,
                            gw__tmp33_err_misc_msg,
                            gw__tmp34_err_data);
}
    gw_wrapset_initialized = 1;
    (void) gw__handle_wrapper_error;
  }
}
